Ghostscript is a utility used for PostScript/PDF preview and printing.

learn more… | top users | synonyms

3
votes
1answer
52 views

print xlsx file from command line using ghostscript and libreoffice

I have been searching on how to get libreoffice in headless mode to print to a ghostscript PDF file on Ubuntu Server 12.04. Can somebody tell me how to do this or if there is an easier way? I tried ...
1
vote
1answer
42 views

how do i write EPS and postScript programs? [closed]

I am trying to write EPS scripts. %! 100 100 moveto /Symbol 12 selectfont (p ) show /Times-Roman 12 selectfont (is less than 4) show I suspect that beginning the script with %! is not correct, or ...
1
vote
1answer
176 views

Ghostscript Segmentation fault (core dumped) where it's dumped? [closed]

I'm trying to convert PDF to JPG with command: gs -dUseTrimBox -dNOPAUSE -dSAFER -dBATCH -sDEVICE=jpeg -dGraphicsAlphaBits=4 -dTextAlphaBits=4 -dFirstPage=1 -dLastPage=1 -dNumRenderingThreads=2 ...
0
votes
0answers
9 views

Ghostscript renders image with black background [duplicate]

I'm converting pdf files to images with ghostscript, everything is ok until I use -resize option, then I get image with black background. I use this command: convert -density 400 image.pdf -resize ...
1
vote
2answers
129 views

How to find ghostscript files in ubuntu?

I'm working with the terminal and im trying to find ghostscript files in all the computer. How can I do that? I know that I must use the comand "find", but is there anything else I should type?
1
vote
0answers
79 views

How to make `lp` use the newer version of Ghostscript?

I am trying to print a document with the lp command. But Ghostscript 8.71 get problems with this file. I upgrade the GS to the 9.07 version that doesn't have problems. But when printing, the lp use ...
2
votes
1answer
885 views

Ubuntu 12.10 : error installing Canon UFR2 Drivers

I tried to install the drivers for my Canon MF4150 that I successfully used under my previous 10.04 instance. But when I run the command to install .deb packages, it gives me an error complaining that ...
6
votes
1answer
5k views

How to reduce the size of a pdf file?

I'm looking for a way in Ubuntu to reduce the size of a pdf (by reducing the quality of the images). I know that this can be done in Ghostscript by typing the following command in terminal: gs ...
1
vote
1answer
575 views

How to make a simple ubuntu GUI application from shell script code?

I want this shell script convert to a GUI ubuntu application Any one please help me to make a Ubuntu application. This shell script is used to download Hindu news paper.
4
votes
1answer
933 views

What's the easiest way to upgrade Ghostscript?

I have version 8 of Ghostscript on my Ubuntu 10.04 server. What is the easiest way to install version 9? Source install? PPA? Something else?
5
votes
1answer
256 views

Is there a recommended PPA for Ghostscript 9 on 10.04?

Recently we keep receiving PDFs that hang Ghostscript at 100% CPU when printed. Since at the office we are still on Lucid, I tried printing those same PDFs from a Precise VM as a test, and they work ...
1
vote
2answers
428 views

Free URW postscript fonts versus TrueType

Ubuntu includes the free commercial URW++ postscript fonts in /usr/share/fonts/type1/gsfonts (from the gsfonts package). I've seen that the full set are also available in TrueType format (including ...
2
votes
0answers
160 views

Can I upgrade ghostscript from source on 10.04 over existing gs version 8.71? [closed]

I would like to upgrade to a newer version of ghostscript (latest is 9.05, but anything in the 9.x series). Can I build and install from source over the top of the existing install? I had a dry-run ...
0
votes
1answer
381 views

How do I combine multiple pdf files to an a4 papersize output?

currently I am using gs -sPAPERSIZE=a4 -dBATCH -dNOPAUSE -q -sDEVICE=pdfwrite sOutputFile=combined.pdf input1.pdf input2.pdf input3.pdf for combining my pdf files, however I have noticed, that ...
4
votes
4answers
2k views

How to install older version of GhostScript?

This is second time I get segmentation fault error when I try to run GhostScript on any PDF file with pdfwrite First time it was my previous Ubuntu 11.04 distro, which afterwards I completely remove ...
2
votes
1answer
917 views

How to Upgrade Ghost Script to the latest version?

I have default ghostscript version 8.71 installed in my Ubuntu Machine i would like to update it to the latest version I download the file from ...
3
votes
1answer
611 views

How Do I Export Pages from Browser with Embedded Hyperlinks?

Made a sad discovery today. I have Ubuntu 10.04 LTS. My client is in the ad business and she had a marketing competition task for me. She wanted me to visit websites of the competitors, and export the ...
14
votes
3answers
7k views

Reduce filesize of a scanned PDF

I've got a PDF of a scanned document that's around 20MB and I need to drastically reduce the filesize to be able to email it. I've tried gs -sDevice=pdfwrite -dCompatibilityLevel=1.4 ...